#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
ll n;
ll p;
ll br;
vector<ll> b;
main(){
cin>>n;
vector<ll> a(n);
ll m=0;
for(ll i=0;i<n;i++){
    cin>>a[i];
    if(a[i]<0)m++;
    else p++;
}
if(m==n){
for(ll i=0;i<2*m-1;i++){
    if(i%2==0){
        b.push_back(2);
    }
    else b.push_back(3);
    if(i==1000000){
        br=i/2;
        break;
    }
}
if(br==0)br=m;
cout<<br<<endl;
for(int i=0;i<b.size();i++){
    cout<<b[i];
}
}
else if(p==n){
stack<int> s;
sort(a.begin(),a.end());
ll h=0;
for(int i=0;i<n;i++){
    s.push(a[i]);
}
for(int i=0;i<2*p-1;i++){
  //  cout<<i;
    if(i%2==0){
        b.push_back(1);
        s.pop();
       br++;
    }
    else{
        b.push_back(2);
        h++;
        if(s.top()-h==1)break;
    }
    if(i==1000000){
        br=i/2;
        break;
    }
}
//if(br==0)br=p;
cout<<br<<endl;
for(int i=0;i<b.size();i++){
    cout<<b[i];
}
}


}